cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chandan Purushothama (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CLOUDSTACK-7021) [Automation] type object 'TestUpdateVMAffinityGroups' has no attribute '_TestUpdateVMAffinityGroups__cleanup
Date Mon, 30 Jun 2014 22:17:24 GMT
Chandan Purushothama created CLOUDSTACK-7021:
------------------------------------------------

             Summary: [Automation] type object 'TestUpdateVMAffinityGroups' has no attribute
'_TestUpdateVMAffinityGroups__cleanup
                 Key: CLOUDSTACK-7021
                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-7021
             Project: CloudStack
          Issue Type: Bug
      Security Level: Public (Anyone can view this level - this is the default.)
          Components: Automation, Test
    Affects Versions: 4.4.0
            Reporter: Chandan Purushothama
            Priority: Critical
             Fix For: 4.4.0


===========
Bug in Script:
===========

    @classmethod
    def tearDownClass(cls):

        try:
            cls.api_client = super(TestUpdateVMAffinityGroups, cls).getClsTestClient().getApiClient()
            #Clean up, terminate the created templates
            cleanup_resources(cls.api_client, cls.__cleanup) ---> BUG: It should be cls._cleanup
        except Exception as e:
            raise Exception("Warning: Exception during cleanup : %s" % e)


=============
Error Message:
=============

Warning: Exception during cleanup : type object 'TestUpdateVMAffinityGroups' has no attribute
'_TestUpdateVMAffinityGroups__cleanup'
-------------------- >> begin captured logging << --------------------
test_05_update_aff_grp_on_running_vm (integration.component.test_affinity_groups.TestUpdateVMAffinityGroups):
CRITICAL: EXCEPTION: test_05_update_aff_grp_on_running_vm: ['Traceback (most recent call last):\n',
'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 227, in run\n    self.tearDown()\n',
'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 350, in tearDown\n  
 self.teardownContext(ancestor)\n', '  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py",
line 366, in teardownContext\n    try_run(context, names)\n', '  File "/usr/local/lib/python2.7/dist-packages/nose/util.py",
line 470, in try_run\n    return func()\n', '  File "/home/jenkins/workspace/xenrt-reg-adv-xs/cloudstack.git/test/integration/component/test_affinity_groups.py",
line 870, in tearDownClass\n    raise Exception("Warning: Exception during cleanup : %s" %
e)\n', "Exception: Warning: Exception during cleanup : type object 'TestUpdateVMAffinityGroups'
has no attribute '_TestUpdateVMAffinityGroups__cleanup'\n"]
--------------------- >> end captured logging << ---------------------

Stacktrace

  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 227, in run
    self.tearDown()
  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 350, in tearDown
    self.teardownContext(ancestor)
  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 366, in teardownContext
    try_run(context, names)
  File "/usr/local/lib/python2.7/dist-packages/nose/util.py", line 470, in try_run
    return func()
  File "/home/jenkins/workspace/xenrt-reg-adv-xs/cloudstack.git/test/integration/component/test_affinity_groups.py",
line 870, in tearDownClass
    raise Exception("Warning: Exception during cleanup : %s" % e)
'Warning: Exception during cleanup : type object \'TestUpdateVMAffinityGroups\' has no attribute
\'_TestUpdateVMAffinityGroups__cleanup\'\n-------------------- >> begin captured logging
<< --------------------\ntest_05_update_aff_grp_on_running_vm (integration.component.test_affinity_groups.TestUpdateVMAffinityGroups):
CRITICAL: EXCEPTION: test_05_update_aff_grp_on_running_vm: [\'Traceback (most recent call
last):\\n\', \'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py", line 227, in
run\\n    self.tearDown()\\n\', \'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py",
line 350, in tearDown\\n    self.teardownContext(ancestor)\\n\', \'  File "/usr/local/lib/python2.7/dist-packages/nose/suite.py",
line 366, in teardownContext\\n    try_run(context, names)\\n\', \'  File "/usr/local/lib/python2.7/dist-packages/nose/util.py",
line 470, in try_run\\n    return func()\\n\', \'  File "/home/jenkins/workspace/xenrt-reg-adv-xs/cloudstack.git/test/integration/component/test_affinity_groups.py",
line 870, in tearDownClass\\n    raise Exception("Warning: Exception during cleanup : %s"
% e)\\n\', "Exception: Warning: Exception during cleanup : type object \'TestUpdateVMAffinityGroups\'
has no attribute \'_TestUpdateVMAffinityGroups__cleanup\'\\n"]\n--------------------- >>
end captured logging << ---------------------'



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message